#!/usr/bin/perl

use File::Copy;

for($i=0;$i<512;$i++)
{
	$thead[$i]=255;
}

$thead[0]=0xa6;
$thead[1]=0xbd;
$thead[2]=0x26;
$thead[3]=0x3d;
$thead[4]=0x24;
$thead[5]=0x1d;
$thead[6]=0xb9;
$thead[7]=0xa6;
$thead[8]=0xb5;
$thead[9]=0xaa;

for($i=0;$i<16896;$i++)
{
	$tprog[$i]=255;
}
print "Installing file system structure, this will take a while...\n";

open(BWRITE,">ax81_image.bin");
binmode(BWRITE);

for($tape=0;$tape<256;$tape++)
{
	$thead[10]=$tape;
	for($i=0;$i<512;$i++)
	{
		print BWRITE chr($thead[$i]);
	}


	for($i=0;$i<540672;$i++)
	{
		print BWRITE chr(255);
	}
}
close(BWRITE);


$ok=mkdir("TAPES",0777);

for($tape=0;$tape<256;$tape++)
{
	$dname=sprintf("TAPES/TAPE_%03d",$tape);
	$ok=mkdir($dname,0777);
	$srcfile="read_from_image.pl";
	$destfile=sprintf("TAPES/TAPE_%03d/000_read_from_image.pl",$tape);
	copy($srcfile, $destfile);

	$srcfile="write_to_image.pl";
	$destfile=sprintf("TAPES/TAPE_%03d/000_write_to_image.pl",$tape);
	copy($srcfile, $destfile);
}


